Skip to main content
GET
/
public_treasury
/
{entity_id}
/
{coin_id}
/
holding_chart
Crypto Treasury Holdings Historical Chart Data by ID
curl --request GET \
  --url https://api.coingecko.com/api/v3/public_treasury/{entity_id}/{coin_id}/holding_chart \
  --header 'x-cg-demo-api-key: <api-key>'
{
  "holdings": [
    [
      1748736000000,
      580955
    ],
    [
      1749340800000,
      582000
    ]
  ],
  "holding_value_in_usd": [
    [
      1748736000000,
      60818730878.617355
    ],
    [
      1749340800000,
      61506606585.45032
    ]
  ]
}

Notes

  • Find entity IDs via Entities List and coin IDs via Coins List.
  • Data available from August 2020 onwards.
  • Historical access varies by plan:
    PlanMaximum perioddays values
    Demo / Keyless API1 year7, 14, 30, 90, 180, 365
    Basic2 years7, 14, 30, 90, 180, 365, 730
    Analyst and aboveFull7, 14, 30, 90, 180, 365, 730, max
    To access longer historical periods, subscribe to a paid plan.
  • include_empty_intervals=false (default): only intervals with transactions. Set to true to return all intervals, filled with the most recent data.
  • Equivalent page on CoinGecko Strategy Treasury.

SDK Examples

const response = await client.publicTreasury.getHoldingChart('bitcoin', {
  entity_id: 'strategy',
  days: '365',
});

console.log(JSON.stringify(response, null, 2));

Authorizations

x-cg-demo-api-key
string
header
required

Path Parameters

entity_id
string
default:strategy
required

Public company or government entity ID. *refers to /entities/list.

coin_id
string
default:bitcoin
required

Coin ID. e.g. bitcoin, ethereum, solana, binancecoin

Query Parameters

days
string
default:365
required

Data up to number of days ago. Valid values: 7, 14, 30, 90, 180, 365

include_empty_intervals
boolean

Include empty intervals with no transaction data. Default: false

Response

200 - application/json

Crypto treasury holdings historical chart data

holdings
number[][]
required

Historical holdings data as [timestamp, amount] pairs

holding_value_in_usd
number[][]
required

Historical holdings value in USD as [timestamp, value_usd] pairs